com.trendmicro.ds.platform.rest.object

## Class ApplicationInfos

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.ApplicationInfos

-     public class ApplicationInfos
      extends java.lang.Object

  Application information passed to log in to DSM. (Optional)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationInfos()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationName()` Integrated application name; required if applicationInfos is provided.
    `java.lang.String` | `getApplicationVersion()` Integrated application version; (Optional) Not blank if application version is provided.
    `java.lang.String` | `getRequestID()` Integrated application request ID; (Optional) Not blank if request ID is provided.
    `java.lang.String` | `getServerName()` Integrated server hostname; required if applicationInfos is provided.
    `void` | `setApplicationName(java.lang.String applicationName)`
    `void` | `setApplicationVersion(java.lang.String applicationVersion)`
    `void` | `setRequestID(java.lang.String requestID)`
    `void` | `setServerName(java.lang.String serverName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationInfos

          public ApplicationInfos()

  - ### Method Detail

    - #### getApplicationName

          public java.lang.String getApplicationName()

      Integrated application name; required if applicationInfos is provided. Accepts maximum length of 254 characters

    - #### setApplicationName

          public void setApplicationName(java.lang.String applicationName)

    - #### getApplicationVersion

          public java.lang.String getApplicationVersion()

      Integrated application version; (Optional) Not blank if application version is provided. Accepts maximum length of 254 characters

    - #### setApplicationVersion

          public void setApplicationVersion(java.lang.String applicationVersion)

    - #### getServerName

          public java.lang.String getServerName()

      Integrated server hostname; required if applicationInfos is provided. The format of hostname should follow RFC 1123 or a valid IP format.

    - #### setServerName

          public void setServerName(java.lang.String serverName)

    - #### getRequestID

          public java.lang.String getRequestID()

      Integrated application request ID; (Optional) Not blank if request ID is provided. Accepts maximum length of 254 characters

    - #### setRequestID

          public void setRequestID(java.lang.String requestID)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.